Документация на языках: [english](README.md), [русский](README-RU.md).

# jQuery.onOut

Простой jQuery плагин, который привязывает события на области вне элемента или набора элементов.

## Использование

В первую очередь скачайте и подключите к HTML коду библиотеку [jQuery](http://jquery.com/download/) и плагин [jQuery.onOut](jquery-onout-1.0.min.js):

	<script src="jquery-1.11.3.min.js"></script>
	<script src="jquery-onout-1.0.min.js"></script>

Лучше всего будет, если вставить JS-код плагина непосредственно в файл с JS-кодом вашего проекта.

### .onOut()

Привязывает собитие ко всем элементам кроме того, из которого вызван этот метод.
Если методы вызван из массива элементов, то только один слушатель будет привязан. Привязанная фунция вызывается только тогда, когда событие произошло где угодно, кроме любого из элементов массива.

	.onOut(eventType[, eventData], handler)

Аргументы:
* `eventType` (строка) — Строка, содержащая названия типа JavaScript-события, например, `click` или `mousedown`.
* `eventData` (что угодно) — Любые данные. Будут переданы обработчику события.
* `handler` (функция([Event](http://api.jquery.com/Types/#Event) событие)) — Функция, выполняемая каждый раз, когда собитие происходит.

Пример:

	<div>Открытое множество однородно контролирует даосизм, при этом, 
	вместо 13 можно взять любую другую константу. Легко проверить, 
	что акциденция масштабирует напряженный максимум.</div>
	<div id="target">Нажми на меня!</div>
	<div>Гегельянство индуктивно стабилизирует аксиоматичный знак. 
	Линейное программирование раскладывает на элементы неопровержимый 
	гедонизм, хотя в официозе принято обратное. В соответствии с 
	законом больших чисел, функциональный анализ искажает многочлен.</div>

	<script>
		$('#target').onOut('click', function() {
			alert('Промазал!');
		});
	</script>

### .bindOut()

Синоним для [`.onOut()`](#onout)